import java.awt.*;
import javax.swing.*;
import com.wildcrest.j2printerworks.*;

class J2ListPrinterSimplestTest {
    static public void main(String args[]) {
       String[] data;
       int num = 100;
       data = new String[num];
       for (int i=0; i<num; i++) {
           data[i] = "This is JList item number " + (i+1);
       }
       JList list = new JList(data);

       // test Java-style border: list.setBorder(new javax.swing.border.LineBorder(Color.green,20));

       // test these under JDK 1.4 or later
       //list.setLayoutOrientation(JList.HORIZONTAL_WRAP);
       //list.setLayoutOrientation(JList.VERTICAL_WRAP);

       list.setVisibleRowCount(35);

       JFrame frame = new JFrame("J2ListPrinter test");
       frame.getContentPane().add(new JScrollPane(list));
       frame.pack();

       frame.setVisible(true);

       J2ListPrinter listPrinter = new J2ListPrinter(list);
       J2Printer printer = new J2Printer();
       printer.setSeparatePrintThread(false);
       printer.addPageable(listPrinter);

       printer.showPrintPreviewDialog(frame);
       //printer.print();

       //System.exit(0);
    }
 }
