/*  J2PrinterWorksSimplePrintPreviewDialog
    (C) Copyright 2009
    Wildcrest Associates
    http://www.wildcrest.com
This source code may be freely used, modified, incorporated, and
distributed without restriction as part of any software that uses
J2PrinterWorks by Wildcrest Associates.
*/

import java.awt.*;
import javax.swing.*;
import com.wildcrest.j2printerworks.*;
import java.io.IOException;
import java.io.FileReader;
import java.io.BufferedReader;

class J2PrinterWorksSimplePrintPreviewDialog {
    static J2Printer printer;
    static JList list;
    static JCheckBox checkbox;

    static public void main(String args[]){
        StringBuffer buffer = new StringBuffer();
        try {
           BufferedReader inData = new BufferedReader(new FileReader("J2PrinterWorksFreeTrialLicense.html"));
           String inLine;
           while ( (inLine = inData.readLine()) != null) { buffer.append(inLine); buffer.append('\n'); }
           inData.close();
        } catch (IOException e) {}
        String str = buffer.toString();
        JTextPane pane = new JTextPane();
        pane.setContentType("text/html");
        pane.setText(str);

        JFrame frame = new JFrame("Simple Print Preview test");
        frame.getContentPane().setLayout(new BorderLayout());
        frame.getContentPane().add(new JScrollPane(pane), "Center");
        frame.setSize(576,720);
        frame.setVisible(true);

        printer = new J2Printer();
        printer.setSeparatePrintThread(false);
        printer.addPageable(new J2TextPrinter(pane));

        int retVal = new SimplePrintPreviewDialog(frame, printer).showDialog();
        if (retVal == SimplePrintPreviewDialog.PRINT) printer.print();
        else if (retVal == SimplePrintPreviewDialog.PAGESETUP) printer.showPageSetupDialog();
        else if (retVal == SimplePrintPreviewDialog.CANCEL) System.out.println("Cancel");

        System.exit(0);
    }
}
