import java.awt.*;
import javax.swing.*;
import com.wildcrest.j2printerworks.*;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeModel;

class J2TreePrinterSimplestTest{

    static public void main(String args[]){

        JTree tree = new JTree();    // has default content
        for (int i=0; i<tree.getRowCount(); i++) tree.expandRow(i);

        JFrame frame = new JFrame("J2TreePrinter test");
        tree.setPreferredSize(new Dimension(200,tree.getPreferredSize().height));
        frame.getContentPane().add(tree);
        frame.pack();
        frame.setVisible(true);

        J2TreePrinter treePrinter = new J2TreePrinter(tree);
        J2Printer printer = new J2Printer();
        printer.setSeparatePrintThread(false);
        printer.addPageable(treePrinter);
        printer.showPrintPreviewDialog();
        //printer.print();

        //System.exit(0);

    }

}
