/*  J2PrinterWorksFullPrintPreviewDialog
    (C) Copyright 2009
    Wildcrest Associates
    http://www.wildcrest.com
This source code may be freely used, modified, incorporated, and
distributed without restriction as part of any software that uses
J2PrinterWorks by Wildcrest Associates.
*/

import java.awt.*;
import javax.swing.*;
import com.wildcrest.j2printerworks.*;
import java.io.IOException;
import java.io.FileReader;
import java.io.BufferedReader;
import java.awt.event.*;

class J2PrinterWorksFullPrintPreviewDialog {
    static J2Printer printer;

    static public void main(String args[]){
        StringBuffer buffer = new StringBuffer();
        try {
           BufferedReader inData = new BufferedReader(new FileReader("J2PrinterWorksFreeTrialLicense.html"));
           String inLine;
           while ( (inLine = inData.readLine()) != null) { buffer.append(inLine); buffer.append('\n'); }
           inData.close();
        } catch (IOException e) {}
        String str = buffer.toString();
        JTextPane pane = new JTextPane();
        pane.setContentType("text/html");
        pane.setText(str);

        JFrame frame = new JFrame("Print Preview test");
        frame.getContentPane().setLayout(new BorderLayout());
        frame.getContentPane().add(new JScrollPane(pane), "Center");
        frame.setSize(576,720);
        frame.setVisible(true);
        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) { System.exit(0); }});

        printer = new J2Printer();
        printer.addPageable(new J2TextPrinter(pane));

        new PrintPreviewDialog(frame, printer, printer.getPageable()).setVisible(true);
    }
}
